# Interface DependencyResult

All Known Subinterfaces:
  `ResolvedDependencyResult, UnresolvedDependencyResult`

@Incubating public interface DependencyResult
An edge in the dependency graph. Provides information about the origin of the dependency and the requested component.

See Also:
  - `ResolutionResult`

## Method Summary

Modifier and Type
Method
Description
`ResolvedComponentResult`
`getFrom()`
Returns the origin of the dependency.
`ComponentSelector`
`getRequested()`
Returns the requested component.

## Method Details

### getRequested

ComponentSelector getRequested()

Returns the requested component.

The return type is declared as an opaque `ComponentSelector`, however the selector may also implement one of the following interfaces:

- `ProjectComponentSelector` for those dependencies that request a component from some other project in the current build.
- `ModuleComponentSelector` for those dependencies that request a component to be found in some repository.

Returns:
  the requested component

### getFrom

ResolvedComponentResult getFrom()
Returns the origin of the dependency.

Returns:
  the origin of the dependency